/*  Init
 *
 *  This routine is the initialization task for this test program.
 *  It is called from init_exec and has the responsibility for creating
 *  and starting the tasks that make up the test.  If the time of day
 *  clock is required for the test, it should also be set to a known
 *  value by this function.
 *
 *  Input parameters:  NONE
 *
 *  Output parameters:  NONE
 *
 *  COPYRIGHT (c) 1989-1999.
 *  On-Line Applications Research Corporation (OAR).
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *  http://www.rtems.com/license/LICENSE.
 *
 *  $Id: init.c,v 1.1 2009/02/25 03:41:38 chabotd Exp $
 */

#define CONFIGURE_INIT
#include "system.h"
#include <stdio.h>
#include <stdlib.h>
#include <rtems/error.h>
#include "md5Task.h"

static void start_shell(){
	printf(" =========================\n");
	printf(" starting shell\n");
	printf(" =========================\n");
	rtems_shell_init(
	"SHLL",  /* task name */
	RTEMS_MINIMUM_STACK_SIZE * 4, /* task stack size */
	32,  /* task priority */
	"/dev/console",  /* device name */
	false,  /* run forever */
	true,  /* wait for shell to terminate */
	NULL  /* login check function,
	  use NULL to disable a login check */
	);
}

static void init_md5_tasks()
{
	//TODO init here.
	int i;
	rtems_id task;
	for(i = 0; i < 10; i++){
		task = md5task_create();
		md5task_start(task);
	}
}


rtems_task Init(rtems_task_argument ignored)
{
		printf("***** Timeslicing test case ******\n");
		sleep(2);

		// init random number
		srand(time(NULL));

		init_md5_tasks();
		start_shell();

		exit( 0 );
}
