#include "md5Task.h"
#include <stdio.h>
#include <stdlib.h>
#include <rtems/error.h>

static const rtems_name defaultName = rtems_build_name('M','D','5','T');

rtems_id md5task_create()
{
	rtems_id task;
	rtems_status_code rc;
	rc = rtems_task_create(
		defaultName,
		64,
		RTEMS_MINIMUM_STACK_SIZE,
		RTEMS_PREEMPT | RTEMS_TIMESLICE | RTEMS_ASR | RTEMS_INTERRUPT_LEVEL(0),
		RTEMS_NO_FLOATING_POINT | RTEMS_LOCAL,
		&task
	);
	if(rc != RTEMS_SUCCESSFUL){
		printf("Cannot create md5 task. %s\n", rtems_status_text(rc));
		task = 0;
	}

	return task;
}

static rtems_task md5task(rtems_task_argument args)
{
	// go into a mindless loop for no reason awanna processing
	while(1){

	}

}

rtems_status_code md5task_start(rtems_id md5task_id)
{
	rtems_status_code rc;
	printf("Starting md5 task... ");
	rc = rtems_task_start(md5task_id, md5task, 0);
	if(rc != RTEMS_SUCCESSFUL){
		printf("Cannot start md5 task %d : %s", md5task_id, rtems_status_text(rc));
	}else{
		printf("Done.\n");
	}
	return rc;
}

